package cn.org.spring.wechar.prize.entity;

import lombok.*;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author： 谢辉
 * @date： 2021/5/19
 * @email: xieh_mail@163.com
 * @description：
 * @modifiedBy：
 * @version: 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ToString
public class RecTelPrize implements Serializable {

    /**
     * 主键
     */
    private Long id;

    /**
     * 奖品金额
     */
    private BigDecimal money;

    /**
     * 奖品描述
     */
    private String prizedesc;

    /**
     * 中奖概率
     */
    private Integer probability;
}
