package cn.org.spring.wechar.prize.mapper;

import cn.org.spring.wechar.prize.entity.RecTelPrize;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author： 谢辉
 * @date： 2021/5/19
 * @email: xieh_mail@163.com
 * @description： 话费奖品
 * @modifiedBy：
 * @version: 1.0
 */
@Mapper
public interface RecTelPrizeMapper {


    /**
     * 查询话费奖品信息
     * @return
     */
    List<RecTelPrize> selectAllByList();

    /**
     * 根据id 查询奖品信息
     * @param id
     * @return
     */
    RecTelPrize selectTelPrizeById(@Param("id") Long id);

    /**
     * 插入话费奖品信息
     * @param recTelPrize
     * @return
     */
    int insert(RecTelPrize recTelPrize);

    /**
     * 更新话费奖品信息
     * @param recTelPrize
     * @return
     */
    int update(RecTelPrize recTelPrize);

}
