package cn.org.spring.wechar.prize.service;

import cn.org.spring.wechar.prize.entity.RecTelPrizeRecord;

/**
 * @author： 谢辉
 * @date： 2021/5/20
 * @email: xieh_mail@163.com
 * @description：
 * @modifiedBy：
 * @version: 1.0
 */
public interface RecTelPrizeRecordService {


    /**
     * 根据微信的openid查询用户当前可用话费优惠券信息
     *
     * @param openid
     * @return
     */
    RecTelPrizeRecord selectUnUsePrize(String openid);

    /**
     * 插入用户抽奖信息
     *
     * @param recTelPrizeRecord
     * @return
     */
    int insert(RecTelPrizeRecord recTelPrizeRecord);

    /**
     * 更新用户抽奖信息
     *
     * @param recTelPrizeRecord
     * @return
     */
    int update(RecTelPrizeRecord recTelPrizeRecord);


}
