package cn.org.spring.wechar.prize.service;

import cn.org.spring.wechar.prize.entity.RecTelPrize;

import java.util.List;

/**
 * @author： 谢辉
 * @date： 2021/5/20
 * @email: xieh_mail@163.com
 * @description：
 * @modifiedBy：
 * @version: 1.0
 */
public interface RecTelPrizeService {
    /**
     * 查询话费奖品信息
     *
     * @return
     */
    List<RecTelPrize> selectAllByList();

    /**
     * 根据id 查询奖品信息
     *
     * @param id
     * @return
     */
    RecTelPrize selectTelPrizeById(Long id);

    /**
     * 插入话费奖品信息
     *
     * @param recTelPrize
     * @return
     */
    int insert(RecTelPrize recTelPrize);

    /**
     * 更新话费奖品信息
     *
     * @param recTelPrize
     * @return
     */
    int update(RecTelPrize recTelPrize);
}
